# class DOMPointReadOnly

#### package js.html

#### extended by DOMPoint

Available on HTML5

The `DOMPointReadOnly` interface specifies the standard properties used by `DOMPoint` to define a 2D or 3D point in a coordinate system.

Documentation DOMPointReadOnly by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/DOMPointReadOnly

### Variables

###

`read onlyw:Float`

The perspective value of the `DOMPoint`.

###

`read onlyx:Float`

The x coordinate of the `DOMPoint`.

###

`read onlyy:Float`

The y coordinate of the `DOMPoint`.

###

`read onlyz:Float`

The z coordinate of the `DOMPoint`.